Get conversations by label
curl --request GET \
--url https://{host}/api/{session}/labels/{labelId}/chats \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/labels/{labelId}/chats"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/labels/{labelId}/chats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"labelId": "label123",
"labelName": "VIP Clients",
"chats": [
{
"id": "5511999999999@s.whatsapp.net",
"name": "John Silva",
"lastMessage": "Hello!",
"timestamp": 1699999999
},
{
"id": "5511888888888@s.whatsapp.net",
"name": "Maria Santos",
"lastMessage": "Thank you!",
"timestamp": 1699999998
}
]
}
Labels
Get Chats by Label
Get all chats that have a specific label
GET
/
api
/
{session}
/
labels
/
{labelId}
/
chats
Get conversations by label
Description
This endpoint returns all chats that have a specific label applied, allowing you to filter chats by category.URL Parameters
WhatsApp unique session ID
ID of the label to filter chats
Response
List of conversations that have the specified label
{
"labelId": "label123",
"labelName": "VIP Clients",
"chats": [
{
"id": "5511999999999@s.whatsapp.net",
"name": "John Silva",
"lastMessage": "Hello!",
"timestamp": 1699999999
},
{
"id": "5511888888888@s.whatsapp.net",
"name": "Maria Santos",
"lastMessage": "Thank you!",
"timestamp": 1699999998
}
]
}
Status Codes
200- Chats returned successfully400- Invalid parameters401- Unauthorized404- Label not found
Usage Example
curl -X GET https://api.wappfy.com.br/api/my-session/labels/label123/chats
const session = 'my-session';
const labelId = 'label123';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/labels/${labelId}/chats`);
const data = await response.json();
console.log(data.chats);
import requests
session = 'my-session'
label_id = 'label123'
response = requests.get(f'https://api.wappfy.com.br/api/{session}/labels/{label_id}/chats')
data = response.json()
print(data['chats'])
⌘I
